diff --git a/web/pgadmin/static/js/sqleditor/query_tool_preferences.js b/web/pgadmin/static/js/sqleditor/query_tool_preferences.js
index 723e7478a..d4d0c78f9 100644
--- a/web/pgadmin/static/js/sqleditor/query_tool_preferences.js
+++ b/web/pgadmin/static/js/sqleditor/query_tool_preferences.js
@@ -213,6 +213,13 @@ function updateUIPreferences(sqlEditor) {
 
   /* Code Mirror Preferences */
   let sql_font_size = SqlEditorUtils.calcFontSize(preferences.sql_font_size);
+  let tab_size;
+  // Set tab size to default(which is 4) when 'Use spaces?' is set to false.
+  if (preferences.use_spaces){
+    tab_size = preferences.tab_size;
+  }else{
+    tab_size = 4;
+  }
   $(sqlEditor.query_tool_obj.getWrapperElement()).css('font-size', sql_font_size);
 
   if(preferences.plain_editor_mode) {
@@ -226,7 +233,7 @@ function updateUIPreferences(sqlEditor) {
   sqlEditor.query_tool_obj.setOption('foldGutter', preferences.code_folding);
   sqlEditor.query_tool_obj.setOption('indentWithTabs', !preferences.use_spaces);
   sqlEditor.query_tool_obj.setOption('indentUnit', preferences.tab_size);
-  sqlEditor.query_tool_obj.setOption('tabSize', preferences.tab_size);
+  sqlEditor.query_tool_obj.setOption('tabSize', tab_size);
   sqlEditor.query_tool_obj.setOption('lineWrapping', preferences.wrap_code);
   sqlEditor.query_tool_obj.setOption('autoCloseBrackets', preferences.insert_pair_brackets);
   sqlEditor.query_tool_obj.setOption('matchBrackets', preferences.brace_matching);
